Internet Explorer 8, and 9 are compatible. Internet Explorer 10 and 11 are not yet compatible.
Firefox 1.5 and above are compatible with NOZA.
Chrome appears to be compatible. 

It may work on Safari 2.0 but some of the open source code is not compatible with Safari.